namespace WorldOfPeacecraft
{
	// A ITile always returning it is a wall and 0,0 as position
	public class Dummytile : ITile
	{
		private static Dummytile Instance = new Dummytile();

		public Dummytile ()
		{
		}

		public static Dummytile GetInstance()
		{
			return Instance;
		}

		public bool IsWall()
		{
			return true;
		}

		public bool IsWalkable()
		{
			return false;
		}

		public bool IsWater()
		{
			return false;
		}

		public bool IsForest()
		{
			return false;
		}

		public bool IsHuntable()
		{
			return false;
		}

		public int GetX()
		{
			return 0;
		}

		public int GetY ()
		{
			return 0;
		}
	}
}